function PlayerStandard:get_zoom_fov(stance_data)
	local fov = stance_data and stance_data.FOV or 75
	local fov_multiplier = managers.user:get_setting("fov_multiplier")	
	
	if self._state_data.in_steelsight then
		local fov_base = fov
		
		fov = self._equipped_unit:base():zoom()
		
		if not (LessADSZoom.Options:GetValue("LessZoomDisableAdditionalFOV")) then
			fov_multiplier = 1 + (fov_multiplier - 1) / 2
		end
		
		
		-- Excluded zoom levels
		local ignore_zoom_index = LessADSZoom.Options:GetValue("LessZoomIgnoreMagnification") or 6
		if ignore_zoom_index <= #tweak_data.weapon.stats.zoom then
			if (fov <= tweak_data.weapon.stats.zoom[ignore_zoom_index]) then
				return fov * fov_multiplier
			end
		end
		
		-- Forced FOV
		if (LessADSZoom.Options:GetValue("LessZoomForceFOV")) then
			fov = LessADSZoom.Options:GetValue("LessZoomForceFOVValue") or 65
		else
		-- FOV reduction
			local fov_increase_mult = LessADSZoom.Options:GetValue("LessZoomReduction")
			fov = self._equipped_unit:base():zoom() * fov_increase_mult
			-- Clamp FOV 
			if (fov > 65 and LessADSZoom.Options:GetValue("LessZoomClampFOV")) then
				fov = 65
			end
		end
		
	end

	return fov * fov_multiplier
end